Bug 57110 - Fixed spelling+grammar, formatting, removed commented out code etc.
Summary: Fixed spelling+grammar, formatting, removed commented out code etc.
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: Nightly (Please specify date)
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-17 21:40 UTC by Graham Russell
Modified: 2015-12-29 20:59 UTC (History)
1 user (show)



Attachments
Initial code patch (103.37 KB, patch)
2014-10-17 21:40 UTC, Graham Russell
Details | Diff
More code tidy-up (27.30 KB, patch)
2014-10-19 10:53 UTC, Graham Russell
Details | Diff
Fixing some mis-spellings. (13.46 KB, patch)
2015-09-21 22:27 UTC, Graham Russell
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Russell 2014-10-17 21:40:30 UTC
Created attachment 32122 [details]
Initial code patch

While trying to fix Bug 54784 I've done a lot of reading/hunting and while I was there I made some changes. Sorry for the large patch, hopefully this is ok, I can split it up into smaller bits if that is easier?

Thanks.
Comment 1 Graham Russell 2014-10-19 10:53:18 UTC
Created attachment 32126 [details]
More code tidy-up

Some more code tidy-up.
Comment 2 Felix Schumacher 2015-01-31 11:16:20 UTC
I have committed quite a few of your changes in the commits listed below. If you want to submit more patches, it would be nice, if the patches were split by purpose, eg. "code reformatting", "javadoc correction", "logic simplification", ...

But thanks for your work nontheless.

Date: Sat Jan 31 10:59:42 2015
New Revision: 1656177

URL: http://svn.apache.org/r1656177
Log:
Bug: 57110
Reformat code, no functional change. Remove empty javadoc comments.
Bugzilla Id: 57110

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/PropertyControlGui.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatVisualizer.java
    jmeter/trunk/src/core/org/apache/jmeter/config/gui/RowDetailDialog.java
    jmeter/trunk/src/core/org/apache/jmeter/control/gui/TestPlanGui.java
    jmeter/trunk/src/core/org/apache/jmeter/functions/gui/FunctionHelper.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/MainFrame.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/AddToTree.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Load.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/SearchTreeDialog.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/AccessLogSampler.java
    jmeter/trunk/test/src/org/apache/jmeter/visualizers/GenerateTreeGui.java

Date: Sat Jan 31 11:02:21 2015
New Revision: 1656178

URL: http://svn.apache.org/r1656178
Log:
Bug: 57110
Assign variable only once.
Bugzilla Id: 57110

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/PropertyControlGui.java
    jmeter/trunk/test/src/org/apache/jmeter/visualizers/GenerateTreeGui.java
Date: Sat Jan 31 11:04:31 2015
New Revision: 1656179

URL: http://svn.apache.org/r1656179
Log:
Bug: 57110
Inline constant and get rid of then unneeded import.
Bugzilla Id: 57110

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/functions/gui/FunctionHelper.java
Date: Sat Jan 31 11:05:48 2015
New Revision: 1656180

URL: http://svn.apache.org/r1656180
Log:
Bug: 57110
Convert to new for loop.
Bugzilla Id: 57110

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/gui/MainFrame.java

Date: Sat Jan 31 11:06:56 2015
New Revision: 1656181

URL: http://svn.apache.org/r1656181
Log:
Bug: 57110
Correct typo
Bugzilla Id: 57110

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/AccessLogSampler.java

Date: Sat Jan 31 11:09:00 2015
New Revision: 1656182

URL: http://svn.apache.org/r1656182
Log:
Bug: 57110
Lowercase variable name, since it is not a constant.
Bugzilla Id: 57110

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/AccessLogSampler.java

Date: Sat Jan 31 11:10:01 2015
New Revision: 1656183

URL: http://svn.apache.org/r1656183
Log:
Bug: 57110
javadoc changes
Bugzilla Id: 57110

Modified:
    jmeter/trunk/test/src/org/apache/jmeter/visualizers/GenerateTreeGui.java

Date: Sat Jan 31 11:10:57 2015
New Revision: 1656184

URL: http://svn.apache.org/r1656184
Log:
Bug: 57110
Simplify logic to make it even more efficient.
Bugzilla Id: 57110

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/util/accesslog/LogFilter.java
Comment 3 Graham Russell 2015-09-21 22:27:06 UTC
Created attachment 33127 [details]
Fixing some mis-spellings.

Fixing some mis-spellings.
Comment 4 Felix Schumacher 2015-09-26 14:48:36 UTC
(In reply to Graham Russell from comment #3)
> Created attachment 33127 [details]
> Fixing some mis-spellings.
> 
> Fixing some mis-spellings.

Applied the corrections split up in mis-spellings in comments/output, local variable renaming and method renaming.

Thanks for the contribution.
Comment 5 Philippe Mouawad 2015-12-29 20:59:00 UTC
Date: Tue Dec 29 20:57:58 2015
New Revision: 1722235

URL: http://svn.apache.org/viewvc?rev=1722235&view=rev
Log:
Bug 57110 - Fixed spelling+grammar, formatting, removed commented out code etc.
Bugzilla Id: 57110

Modified:
    jmeter/trunk/xdocs/changes.xml